Perl Module installation

One Star

Perl Module installation

I have installed the JRE and active Perl PPM. Are these modules required to run TOS? I am getting this error message from the command line. It appears the host is incorrect. Anyone know the correct host
H:\>ppm install spreadsheet
Downloading ActiveState Package Repository packlist...failed 500 Can't connect t
o ppm4.activestate.com:80 (Bad hostname 'ppm4.activestate.com')
ppm install failed: Can't find any package that provide spreadsheet


Some routines, as well as some components require various specific Perl modules, which are not installed by default along with the Perl basic install. Therefore, you need to install them using software such as ppm (Active Perl distribution).
Launch a command line and type in ppm install <Packagename>
Using Active Perl PPM (Perl Package Manager) install the required or recommended following Perl modules:
ppm install DBD-DB2
ppm install DBD-mysql
ppm install DBD-ODBC
ppm install DBD-Oracle
ppm install DBI
ppm install Email-Filter
ppm install MIME-Lite
ppm install Net-LDAP-Express
ppm install Spreadsheet-ParseExcel
ppm install Spreadsheet-WriteExcel
ppm install Text-ASCIITable
ppm install Text-CSV_XS
Tags (1)
Community Manager

Re: Perl Module installation

Hi Sheridany
Launch a command line and type in: ppm
Using active Perl PPM(Perl Package Manager) install the required modules, Please see the screenshots.
Best regards
shong
----------------------------------------------------------
Talend | Data Agility for Modern Business
One Star

Re: Perl Module installation

i am running active perl module 5.8.8 and some of the modules I have downloaded will not install. Is there a version of modules I should be using for this version of active perl.
Community Manager

Re: Perl Module installation

Hi Sheridany
isome of the modules I have downloaded will not install

Can you show which modules you have downloaded, but not installed? I think you find that you have installed DBD:Smiley Surprisedracle module, but TOS show not installed(many users meet this problem).
About this question, in fact, you did't succeed in installing Oracle client. You can lanuch command line to install Oracle client.
c:\>ppm remove DBD-Oracle
c:\>ppm install DBD-Oracle
Feel free to post your question.
Best regards
shong
----------------------------------------------------------
Talend | Data Agility for Modern Business
One Star

Re: Perl Module installation

To clarify my needs I have to be able to pull data from spreadsheets, CSV files, Teradata and Oracle DB and ascii flat files and XML files. Everytime I download the zip files from the activestate website, unpack them and try to install them using ppm install, it does not take. I have downloaded all the different versions and tried to install them. I find this very frustrating to say the least. I have attached a screenshot of my dbd installs. I have oracle and odbc and that is all I have been to get so far.
One Star

Re: Perl Module installation

I am having another issue now. I have extracted the zip file to a folder and when I run the exec it gets to a point where it says a connection is needed. We are connected to the internet. What is that?
Community Manager

Re: Perl Module installation

Hi Sheridany
From the command line, you can type in: perl -e"use DBD:Smiley Surprisedracle", to check the module is installed. if there is no message, it means that your module is correctly installed. if not, it will show some error message.
Please use active Perl PPM(Perl Package Manager) install the required modules, Launch a command line and type in: ppm install <Packagename>
for example:
c:\>ppm remove DBD-Oracle
c:\>ppm install DBD-Oracle
Please see the related 437
Best regards
shong
----------------------------------------------------------
Talend | Data Agility for Modern Business
One Star

Re: Perl Module installation

how to solve this
" this application has failed to start because OCI.dll was not found.Re-installing the application may fix this problem"
any body can give any solution for this
One Star

Re: Perl Module installation

Hi,
Could anyone please help me? I am trying to install Text::CSV_XS. But after few minutes, I receive the following message.
Installing package 'Text-CSV_XS'...
Error installing package 'Text-CSV_XS': Could not locate a PPD file for package Text-CSV_XS
Many thanks
Hafiz